### Signal

# St TextureCache::texture-file-changed

since: 14

#### Declaration

    void
    texture_file_changed (
      StTextureCache* self,
      GioFile* file,
      gpointer user_data
    )

#### Description [src]

Emitted when the source file of a texture is changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 14

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.